#
# spec file for package GtkAda (Version 1.2.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gnat gnat-runtime gtk gtk-devel mesa mesa-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnat gnat-runtime gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mesa mesa-devel mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         GtkAda
Copyright:    GPL
Group:        X11/Libraries
Requires:     gtk >= 1.2.2
Autoreqprov:  on
Version:      1.2.12
Release:      51
Source0:      %{name}-%{version}.tar.bz2
Patch0:	      %{name}.diff
URL:          http://libre.act-europe.fr/GtkAda/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Complete Ada95 graphical toolkit

%description
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the complete
set of Gtk+ widgets using the Object-Oriented features of this language.

Authors:
--------
    Emmanuel Briot <briot@gnat.com>
    Joel Brobecker <brobecker@gnat.com>
    Arnaud Charlet <charlet@gnat.com>

SuSE series: d

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config}}

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure     --mandir=%{_mandir} \
                --prefix=%{_prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
#		--with-GL=MesaGL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod 0755 $RPM_BUILD_ROOT%{_prefix}/lib/lib*.so.12
 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/bin/*
%{_prefix}/include/*
%{_prefix}/lib/*
%doc AUTHORS COPYING INSTALL ANNOUNCE README known-problems
%doc %{_prefix}/share/doc/%{name}*

%changelog -n GtkAda
* Thu Jul 26 2001 - rvasice@suse.cz
- update to version 1.2.12
* Mon Jul 16 2001 - ro@suse.de
- fixed neededforbuild
* Tue Jul 10 2001 - ro@suse.de
- updated neeededforbuild
* Thu Jun 07 2001 - rvasice@suse.cz
- initial package (version 1.2.11)
